<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Problem Number58</title>
</head>

<body>
	<h2> JavaScript Excercise</h2>
	
	<p> <b> No.58:</b> Write a JavaScript program to create a new string of 4 copies of the last 3 characters of a given original string. The length of the given string must be 3 and above.</p>
	
	<p> <b> Solution :</b></p>
	<div style="border: 1px dashed black; padding: 20px; width: 425px; height: auto;">
	  <input type="text" id="txt" placeholder="Enter The Text You Want to Copy" style="width: 250px; margin-top: 5px;"><br>
	  <input type="button" onClick="generate()" name="gen" value="Generate!" style="margin-top: 5px;">
	  <pre id="demo"></pre>
	</div>
	
	<script>
	function generate() {
		var txt = document.getElementById('txt').value;
		var las3 = txt.substring(txt.length-3, txt.length);
		if (txt.length >= 3){ 
		document.getElementById('demo').innerHTML=
			las3 + "<br>" + las3 + "<br>" + las3 + "<br>" + las3;
	} else {
		document.getElementById('demo').innerHTML=
			"The text is not standard"
	}
		}
	</script>
</body>
</html>
